> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finhost.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Receive information about iban



## OpenAPI

````yaml get /iban/validate/{iban}
openapi: 3.0.0
info:
  title: FinHost WLB Client API
  description: WLB Client REST API openApi 3.0 specification
  contact:
    email: odv4mail@gmail.com
  version: 1.0.0
servers:
  - url: https://client-api.dev.finhost.io
  - url: https://client-api.stage-v2.finhost.io
  - url: https://client-api-atlaspay-prod.finhost.io
security: []
tags:
  - name: Client
    description: Information about service clients
  - name: Sumsub
    description: KYC service
  - name: Contract
    description: Operations with clients contracts
  - name: Account
    description: Operations with clients accounts
  - name: Transfer
    description: Operations with clients assets
  - name: Recipient
    description: Operations with recipients
  - name: Statement
    description: List of the client statments
  - name: Company
    description: List of the client statments
paths:
  /iban/validate/{iban}:
    get:
      tags:
        - General
      summary: Receive information about iban
      parameters:
        - name: iban
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
      responses:
        '200':
          description: 200 response
          headers:
            Access-Control-Allow-Origin:
              style: simple
              explode: false
              schema:
                type: string
            Content-Type:
              style: simple
              explode: false
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_200_4'
        '400':
          description: Internal server error
          headers:
            Access-Control-Allow-Origin:
              style: simple
              explode: false
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400_1'
        '500':
          description: Internal server error
          headers:
            Access-Control-Allow-Origin:
              style: simple
              explode: false
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_500_1'
      security:
        - bearerAuth: []
components:
  schemas:
    inline_response_200_4:
      type: object
      properties:
        result:
          type: string
          enum:
            - passed
            - failed
        checks:
          $ref: '#/components/schemas/inline_response_200_4_checks'
        bicCandidates:
          type: array
          items:
            $ref: '#/components/schemas/inline_response_200_4_bicCandidates'
        bankData:
          $ref: '#/components/schemas/inline_response_200_4_bankData'
        supportedTransferTypes:
          $ref: '#/components/schemas/inline_response_200_4_supportedTransferTypes'
        balance:
          type: number
          format: double
    inline_response_400_1:
      type: object
      properties:
        message:
          type: string
          description: Application error
          example: Invalid payload
    inline_response_500_1:
      type: object
      properties:
        message:
          type: string
          description: Server error
          example: Proses failed
    inline_response_200_4_checks:
      type: object
      properties:
        checks:
          type: array
          items:
            type: string
        lengthCheck:
          type: string
          enum:
            - passed
            - failed
        accountCheck:
          type: string
          enum:
            - passed
            - failed
        bankCodeCheck:
          type: string
          enum:
            - passed
            - failed
        ibanChecksumCheck:
          type: string
          enum:
            - passed
            - failed
    inline_response_200_4_bicCandidates:
      type: object
      properties:
        bic:
          type: string
        zip:
          type: string
        city:
          type: string
        wwwcount:
          type: integer
        sampleurl:
          type: string
    inline_response_200_4_bankData:
      type: object
      properties:
        bank:
          type: string
        bankAddress:
          type: string
        bankStreet:
          type: string
        bankCity:
          type: string
        bankState:
          type: string
        bankPostalCode:
          type: string
    inline_response_200_4_supportedTransferTypes:
      type: object
      properties:
        sepaCreditTransfer:
          type: boolean
        sepaCreditTransferInstant:
          type: boolean
        sepaDirectDebit:
          type: boolean
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````